from rest_framework.routers import DefaultRouter
from django.urls import path, include
from LiveStock.Rancher import views as rancher_views
from LiveStock.Rancher.excel_processing import get_rancher_excel, get_union_excel, get_cooperative_excel, hgsahgsad, \
    get_contractor_excel, kjdfjsd, get_live_stock_excel, get_cooepritive_or_rural_excel, rancher_repetitive_excel
from LiveStock.Rancher.helpers import get_live_stock_info
from LiveStock.Rancher.views import get_detail_rancher, dashboard_rancher

router = DefaultRouter()
router.register(
    r'rancher-view',
    rancher_views.RancherViewSet,
    basename="rancher-view"
)

router.register(
    r'bazrasi-rancher-view',
    rancher_views.RancherForBazrasiViewSet,
    basename="bazrasi-rancher-view"
)


urlpatterns = [
    path('', include(router.urls)),
    path('get_rancher_excel/', get_rancher_excel),
    path('get_union_excel/', get_union_excel),
    path('get_cooperative_excel/', get_cooperative_excel),
    path('hgsahgsad/', hgsahgsad),
    path('get_contractor_excel/', get_contractor_excel),
    path('get_live_stock_info/', get_live_stock_info),
    path('get_detail_rancher/', get_detail_rancher),
    path('dashboard_rancher/', dashboard_rancher),
    path('kjdfjsd/', kjdfjsd),
    path('get_live_stock_excel/', get_live_stock_excel),
    path('get_cooepritive_or_rural_excel/', get_cooepritive_or_rural_excel),
    path('rancher_repetitive_excel/', rancher_repetitive_excel),

]